MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029000Open CASCADE[OCCT] OCCT:Documentationpublic2017-08-16 07:392017-09-29 16:29
Reporteremv 
Assigned Toabv 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0029000: Update documentation of Boolean operations according to the new Error/Warning reporting system
DescriptionIt is necessary to update the documentation of the Boolean Operation according to the new Error/Warning reporting system.
It is also necessary to update the upgrade guide with the removed methods -
ErrorStatus() and WarningStatus().
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029009closedabv Open CASCADE Configuration - provide a way to get visual dif of SVG images 

-  Notes
(0069437)
git (administrator)
2017-08-16 10:30

Branch CR29000 has been created by emv.

SHA-1: e7244cb4ea8affdfef68ca59d45de6858d3014ef


Detailed log of new commits:

Author: emv
Date: Wed Aug 16 10:30:22 2017 +0300

    0029000: Update documentation of Boolean operations according to the new Error/Warning reporting system
    
    The documentation of Boolean Component has been updated - calls to ErrorStatus() method have been replaced with calls to HasErrors() method.
(0069481)
git (administrator)
2017-08-16 17:30

Branch CR29000 has been updated by abv.

SHA-1: 67f0c6efc8c7af8994a17602439bc69560612457


Detailed log of new commits:

Author: abv
Date: Wed Aug 16 17:30:05 2017 +0300

    # minor correction

(0069482)
abv (manager)
2017-08-16 17:32

Why you have converted SVG figures to PNG format? SVG should provide much better quality so it makes sense to keep them. Please consider or explain why PNG is better.

Apart of this, I have pushed minor correction to upgrade.md to the same branch.
(0069495)
emv (developer)
2017-08-17 07:43

I did not convert the SVG figures to PNG. I just have created the new diagrams and saved the images for them in PNG format.
Moreover, Git compares the SVG figures as xml files, not as images. So you won't be able to see how the image has changed. Thus, I prefer keeping the PNG images.

The changes in upgrade guide are OK.
(0069512)
abv (manager)
2017-08-17 12:01

Please restore SVG files back, and use SVG format for images. This is vector graphics format, better than raster (PNG) for several reasons:
- The image is scaled without loss of quality
- The image can be edited easily (e.g. move a box or an arrow as an object, not set of pixels)
- The text (e.g. names of classes) in SVG image can be found by search

The possibility to compare SVG files visually in TortoiseGit is provided by patch 0029009
(0069519)
git (administrator)
2017-08-17 13:25

Branch CR29000_1 has been created by emv.

SHA-1: 3aed80124d54815204e62d557809963f5a5d3c78


Detailed log of new commits:

Author: emv
Date: Wed Aug 16 10:30:22 2017 +0300

    0029000: Update documentation of Boolean operations according to the new Error/Warning reporting system
    
    The documentation of Boolean Component has been updated - calls to ErrorStatus() method have been replaced with calls to HasErrors() method.
(0069520)
emv (developer)
2017-08-17 13:26

Done. Please check.
(0069528)
abv (manager)
2017-08-17 15:07

Reviewed, please integrate (no testing is required)
(0069657)
git (administrator)
2017-08-18 17:00

Branch CR29000 has been deleted by kgv.

SHA-1: 67f0c6efc8c7af8994a17602439bc69560612457
(0069658)
git (administrator)
2017-08-18 17:00

Branch CR29000_1 has been deleted by kgv.

SHA-1: 3aed80124d54815204e62d557809963f5a5d3c78

- Related Changesets
occt: master a743814b
Timestamp: 2017-08-16 07:30:22
Author: abv
Committer: abv
Details ] Diff ]
0029000: Update documentation of Boolean operations according to the new Error/Warning reporting system

The documentation of Boolean Component has been updated - calls to ErrorStatus() method have been replaced with calls to HasErrors() method.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/user_guides/boolean_operations/boolean_operations.md Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image020.png Diff ] File ]
rm - dox/user_guides/boolean_operations/images/operations_image020.svg Diff ] File ]
add - dox/user_guides/boolean_operations/images/operations_image064.png Diff ] File ]
rm - dox/user_guides/boolean_operations/images/operations_image064.svg Diff ] File ]
mod - dox/user_guides/boolean_operations/images/operations_image065.png Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_MakerVolume.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-16 07:39 emv New Issue
2017-08-16 07:39 emv Assigned To => ysn
2017-08-16 07:39 emv Assigned To ysn => emv
2017-08-16 07:39 emv Status new => assigned
2017-08-16 07:40 emv Relationship added related to 0028786
2017-08-16 10:30 git Note Added: 0069437
2017-08-16 10:31 emv Assigned To emv => abv
2017-08-16 10:31 emv Status assigned => resolved
2017-08-16 10:31 emv Steps to Reproduce Updated View Revisions
2017-08-16 17:30 git Note Added: 0069481
2017-08-16 17:32 abv Note Added: 0069482
2017-08-16 17:32 abv Assigned To abv => emv
2017-08-16 17:32 abv Status resolved => feedback
2017-08-17 07:43 emv Note Added: 0069495
2017-08-17 07:43 emv Assigned To emv => abv
2017-08-17 07:43 emv Steps to Reproduce Updated View Revisions
2017-08-17 11:36 abv Relationship added related to 0029009
2017-08-17 11:53 abv Assigned To abv => emv
2017-08-17 12:01 abv Note Added: 0069512
2017-08-17 13:25 git Note Added: 0069519
2017-08-17 13:26 emv Note Added: 0069520
2017-08-17 13:26 emv Assigned To emv => abv
2017-08-17 13:26 emv Status feedback => resolved
2017-08-17 15:07 abv Note Added: 0069528
2017-08-17 15:07 abv Assigned To abv => bugmaster
2017-08-17 15:07 abv Status resolved => reviewed
2017-08-17 15:15 bugmaster Status reviewed => tested
2017-08-18 12:53 abv Changeset attached => occt master a743814b
2017-08-18 12:53 abv Assigned To bugmaster => abv
2017-08-18 12:53 abv Status tested => verified
2017-08-18 12:53 abv Resolution open => fixed
2017-08-18 13:09 bugmaster Test case number => Not required
2017-08-18 17:00 git Note Added: 0069657
2017-08-18 17:00 git Note Added: 0069658
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker